var search_data = {"index":{"searchIndex":["rubymatter","engineerror","parser","stringifier","after()","block()","block?()","closing()","closing()","content()","content()","data()","directive()","empty()","empty?()","engine()","engine()","excerpt()","excerpt()","extract_directive()","finish()","language()","language()","matter()","matter()","matter?()","message()","new()","new()","new()","newline()","opening()","opening()","parse()","read()","seperator()","size()","start()","stringifier()","stringify()","stringify()","stringify()","test()"],"longSearchIndex":["rubymatter","rubymatter::engineerror","rubymatter::parser","rubymatter::stringifier","rubymatter::parser#after()","rubymatter::parser#block()","rubymatter::parser#block?()","rubymatter::parser#closing()","rubymatter::stringifier#closing()","rubymatter::parser#content()","rubymatter::stringifier#content()","rubymatter::parser#data()","rubymatter::parser#directive()","rubymatter::parser#empty()","rubymatter::parser#empty?()","rubymatter::parser#engine()","rubymatter::stringifier#engine()","rubymatter::parser#excerpt()","rubymatter::stringifier#excerpt()","rubymatter::parser#extract_directive()","rubymatter::parser#finish()","rubymatter::language()","rubymatter::parser#language()","rubymatter::parser#matter()","rubymatter::stringifier#matter()","rubymatter::parser#matter?()","rubymatter::engineerror#message()","rubymatter::engineerror::new()","rubymatter::parser::new()","rubymatter::stringifier::new()","rubymatter::stringifier#newline()","rubymatter::parser#opening()","rubymatter::stringifier#opening()","rubymatter::parse()","rubymatter::read()","rubymatter::stringifier#seperator()","rubymatter::parser#size()","rubymatter::parser#start()","rubymatter::stringifier#stringifier()","rubymatter::stringify()","rubymatter::parser#stringify()","rubymatter::stringifier#stringify()","rubymatter::test()"],"info":[["RubyMatter","","RubyMatter.html","","<p>Provides the interface for reading, parsing and stringifying front matter.\n"],["RubyMatter::EngineError","","RubyMatter/EngineError.html","","<p>Raised when an engine doesn&#39;t exist for a language.\n"],["RubyMatter::Parser","","RubyMatter/Parser.html","","<p>Parses the supplied <code>original</code> on demand, when the relevant methods are called.\n"],["RubyMatter::Stringifier","","RubyMatter/Stringifier.html","","<p>Stringifies <code>data</code>, <code>content</code> and optional <code>excerpt</code>, based on the arguments supplied to the initializer.\n"],["after","RubyMatter::Parser","RubyMatter/Parser.html#method-i-after","()","<p>Index after closing delimiter.\n"],["block","RubyMatter::Parser","RubyMatter/Parser.html#method-i-block","()","<p>Raw matter block without comments.\n"],["block?","RubyMatter::Parser","RubyMatter/Parser.html#method-i-block-3F","()","<p>Is there any matter to parse.\n"],["closing","RubyMatter::Parser","RubyMatter/Parser.html#method-i-closing","()","<p>Closing delimiter, with leading newline.\n"],["closing","RubyMatter::Stringifier","RubyMatter/Stringifier.html#method-i-closing","()",""],["content","RubyMatter::Parser","RubyMatter/Parser.html#method-i-content","()","<p>Extracts the content from the front matter.\n<p>Returns\n<p>(String) &mdash; The content found in the source.\n"],["content","RubyMatter::Stringifier","RubyMatter/Stringifier.html#method-i-content","()",""],["data","RubyMatter::Parser","RubyMatter/Parser.html#method-i-data","()","<p>Extracts the data from the front matter.\n<p>Returns\n<p>(Hash) &mdash; The data found in the front matter.\n"],["directive","RubyMatter::Parser","RubyMatter/Parser.html#method-i-directive","()","<p>The language extracted from the front matter.\n<p>Returns\n<p>(String) &mdash; The raw directive string within the front …\n"],["empty","RubyMatter::Parser","RubyMatter/Parser.html#method-i-empty","()","<p>When the front matter is empty (either all whitespace, nothing at all, or just comments and no data), …\n"],["empty?","RubyMatter::Parser","RubyMatter/Parser.html#method-i-empty-3F","()","<p>Whether the front matter is empty.\n<p>Returns\n<p>(Boolean) &mdash; Evaluates to <code>true</code> if front matter is empty.\n"],["engine","RubyMatter::Parser","RubyMatter/Parser.html#method-i-engine","()","<p>Engine for language.\n"],["engine","RubyMatter::Stringifier","RubyMatter/Stringifier.html#method-i-engine","()",""],["excerpt","RubyMatter::Parser","RubyMatter/Parser.html#method-i-excerpt","()","<p>If enabled, extracts the excerpt after front matter.\n<p>Returns\n<p>(String|nil) &mdash; The excerpt, or <code>nil</code>.\n"],["excerpt","RubyMatter::Stringifier","RubyMatter/Stringifier.html#method-i-excerpt","()",""],["extract_directive","RubyMatter::Parser","RubyMatter/Parser.html#method-i-extract_directive","()","<p>Language defined after first delimiter.\n"],["finish","RubyMatter::Parser","RubyMatter/Parser.html#method-i-finish","()","<p>Index of closing delimiter.\n"],["language","RubyMatter","RubyMatter.html#method-c-language","(source, delimiters: DELIMITERS)","<p>Parameters\n<p>source (String) &mdash; A string to extract front matter language from.\n<p>delimiters (Array|String) &mdash; Opening …\n"],["language","RubyMatter::Parser","RubyMatter/Parser.html#method-i-language","()","<p>Language from directive or fallback to supplied string.\n"],["matter","RubyMatter::Parser","RubyMatter/Parser.html#method-i-matter","()","<p>Extracts the raw front matter block.\n<p>Returns\n<p>(String) &mdash; The raw front matter found in the source.\n"],["matter","RubyMatter::Stringifier","RubyMatter/Stringifier.html#method-i-matter","()",""],["matter?","RubyMatter::Parser","RubyMatter/Parser.html#method-i-matter-3F","()","<p>Whether the source has front matter.\n<p>Returns\n<p>(Boolean) &mdash; Evaluates to <code>true</code> if front matter is present.\n"],["message","RubyMatter::EngineError","RubyMatter/EngineError.html#method-i-message","()",""],["new","RubyMatter::EngineError","RubyMatter/EngineError.html#method-c-new","(message = nil, language:)",""],["new","RubyMatter::Parser","RubyMatter/Parser.html#method-c-new","( source, delimiters:, language: nil, aliases: {}, engines: {}, excerpt: nil, excerpt_separator: nil )","<p>Instantiate the parser. This should not need to be called directly, as the RubyMatter module methods …\n"],["new","RubyMatter::Stringifier","RubyMatter/Stringifier.html#method-c-new","( content, data: {}, delimiters:, language: nil, engines: {}, excerpt: nil, excerpt_separator: nil )","<p>Instantiate the stringifier. This should not need to be called directly, as the RubyMatter module methods …\n"],["newline","RubyMatter::Stringifier","RubyMatter/Stringifier.html#method-i-newline","(line)",""],["opening","RubyMatter::Parser","RubyMatter/Parser.html#method-i-opening","()","<p>Opening delimiter.\n"],["opening","RubyMatter::Stringifier","RubyMatter/Stringifier.html#method-i-opening","()",""],["parse","RubyMatter","RubyMatter.html#method-c-parse","( source, delimiters: DELIMITERS, language: LANGUAGE, aliases: ALIASES, engines: ENGINES, excerpt: nil, excerpt_separator: nil )","<p>Parameters\n<p>Returns a parser instance that extracts <code>content</code>, <code>data</code>, <code>excerpt</code> and the raw <code>matter</code>. If the matter …\n"],["read","RubyMatter","RubyMatter.html#method-c-read","(filepath, **options)","<p>Parameters\n<p>filepath (String) &mdash; Path to a file containing front matter, for parsing.\n<p>**options &mdash; All options …\n"],["seperator","RubyMatter::Stringifier","RubyMatter/Stringifier.html#method-i-seperator","()",""],["size","RubyMatter::Parser","RubyMatter/Parser.html#method-i-size","()","<p>Size on the original content.\n"],["start","RubyMatter::Parser","RubyMatter/Parser.html#method-i-start","()","<p>Length of the opening delimiter and language.\n"],["stringifier","RubyMatter::Stringifier","RubyMatter/Stringifier.html#method-i-stringifier","()",""],["stringify","RubyMatter","RubyMatter.html#method-c-stringify","( content = nil, data: {}, delimiters: DELIMITERS, language: LANGUAGE, engines: ENGINES, excerpt: nil, excerpt_separator: nil )","<p>Parameters\n<p>content (String) &mdash; The content string that follows the front matter.\n<p>data (Hash) &mdash; The data that …\n"],["stringify","RubyMatter::Parser","RubyMatter/Parser.html#method-i-stringify","()","<p>Stringifies using the supplied <code>delimiters</code>, <code>language</code>, <code>engines</code> and optional <code>excerpt</code>. By default, only  …\n"],["stringify","RubyMatter::Stringifier","RubyMatter/Stringifier.html#method-i-stringify","()","<p>Stringifies <code>content</code>, <code>data</code>, and optional <code>excerpt</code>, using the <code>delimiters</code>, <code>language</code> and <code>engines</code>.\n<p>Returns\n<p>( … &mdash; "],["test","RubyMatter","RubyMatter.html#method-c-test","(source, delimiters: DELIMITERS)","<p>Parameters\n<p>source (String) &mdash; A string to test for front matter.\n<p>delimiters (Array|String) &mdash; Opening and closing …\n"]]}}